%define glib2_version           2.19.5
%define gtk2_version            2.15.2
%define nautilus_version        2.25.3
%define gdu_version             0.1-0.git20080720.2
%define policykit_version       0.9

Name:           nautilus-gdu
Version:        0.1
Release:        git20090130.1%{?dist}
Summary:        Nautilus extension for disk formatting

Group:          Applications/File
License:        GPLv2+
URL:            http://fedorapeople.org/gitweb?p=tbzatek/public_git/nautilus-gdu.git;a=summary
# TODO: to fetch latest snapshot please use
#   'git clone git://fedorapeople.org/~tbzatek/nautilus-gdu.git'
Source0:        %{name}-%{version}.git20090130.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: nautilus-devel >= %{nautilus_version}
BuildRequires: gnome-disk-utility-devel >= %{gdu_version}
BuildRequires: gnome-disk-utility-ui-devel >= %{gdu_version}
BuildRequires: PolicyKit-devel >= %{policykit_version}
BuildRequires: PolicyKit-gnome-devel >= %{policykit_version}
BuildRequires: libxml2-devel
BuildRequires: intltool
BuildRequires: gettext


%description
Simple extension for formatting disks, usb sticks and other media,
available from Nautilus context menu. This extension is built on top 
of the gnome-disk-utility library with DeviceKit-disks as a backend.
Access to physical devices is controlled by PolicyKit.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README NEWS TODO
%{_libdir}/nautilus/extensions-2.0/*.so


%changelog
* Mon Feb  2 2009 Tomas Bzatek <tbzatek@redhat.com> - 0.1-git20090130.1
- Initial packaging
